Recalculate Table Sheet Scorecard
curl --request POST \
--url https://api.promptlayer.com/api/public/v2/tables/{table_id}/sheets/{sheet_id}/scorecard/recalculate \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '
{
"row_indices": [
1
],
"step_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
'import requests
url = "https://api.promptlayer.com/api/public/v2/tables/{table_id}/sheets/{sheet_id}/scorecard/recalculate"
payload = {
"row_indices": [1],
"step_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"]
}
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({row_indices: [1], step_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a']})
};
fetch('https://api.promptlayer.com/api/public/v2/tables/{table_id}/sheets/{sheet_id}/scorecard/recalculate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"calculation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"version": 123
}{
"success": false,
"message": "<string>",
"error": "<string>"
}{
"success": false,
"message": "<string>",
"error": "<string>"
}Tables
Recalculate Scorecard
Queue scorecard recalculation for a table sheet.
POST
/
api
/
public
/
v2
/
tables
/
{table_id}
/
sheets
/
{sheet_id}
/
scorecard
/
recalculate
Recalculate Table Sheet Scorecard
Queue a scorecard recalculation for a sheet. Successful requests return
202 Accepted.
Send an empty body for a full run, or pass row_indices and step_ids for a scoped run. The request body does not support force.Authorizations
Headers
Your PromptLayer API key. The key's workspace scopes table resources for this request.
Was this page helpful?
⌘I

